Subject: Re: Pipe with TCL/TK
From: [email-masked] (Ian Lance Taylor)

9 Apr 1998 02:49:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

   Date: Tue, 7 Apr 1998 19:01:45 +0200
   From: [email-masked] (Utilisateur genesis)

   I looked at expect/exp_event.c source code and I found an implement of Tcl_CreateFileHandler for cygwin32. I'm very interested because all my problems comes with this Tcl function that is only implemented on Unix platform.

   I try to link my application with libexpect521.a to get Tcl_CreateFileHandler function on Windows platform. No problem with the link, but when I execute my program, it fails on Tcl_CreateFileHandler.

   Is it possible to use libexpect521.a Tcl_CreateFileHandler function, mix with Tcl8.0 standard functions libraries ?
   When I call expect function with C programs, is it necessary to initialize expect (like TCL/TK with a call to tkMain or TclAppInit for example) ? I don't find this information with the FAQs. 

The answer is, I don't know.  I wrote the Tcl_CreateFileHandler
function which you can find in exp_event.c specifically to handle the
cases which arose with expect and even more specifically to handle the
cases which arose when running dejagnu.  I made no attempt to write a
general purpose version of the function.  I don't know whether the
problem you are encountering is real or unimportant.  I think you will
have to debug it to find out.

Ian
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".